<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <include layout="@layout/reuse_toolbar" />

    <TextView
        android:id="@+id/network_diagnosis_progress"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:paddingLeft="20dp"
        android:paddingTop="10dp"
        android:paddingBottom="10dp"
        android:text="正在进行网络诊断 x% " />

    <ScrollView
        android:id="@+id/network_diagnosis_scrollview"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:paddingLeft="20dp"
        android:paddingRight="20dp"
        android:scrollbars="none">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <TextView
                android:id="@+id/network_diagnosis_result"
                android:layout_width="match_parent"
                android:layout_height="match_parent" />

            <WebView
                android:id="@+id/network_diagnosis_web"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:visibility="invisible"
                app:layout_constraintBottom_toBottomOf="parent" />

            <TextView
                android:visibility="gone"
                android:id="@+id/network_diagnosis_suggest"
                android:layout_width="wrap_content"
                android:layout_height="24dp"
                android:background="@drawable/button_border_blue_oval"
                android:gravity="center"
                android:paddingStart="12dp"
                android:paddingEnd="12dp"
                android:layout_marginBottom="14dp"
                android:text="@string/post_suggest"
                android:textColor="@color/text_theme"
                android:textSize="12sp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent" />
        </androidx.constraintlayout.widget.ConstraintLayout>
    </ScrollView>
</LinearLayout>